summaryrefslogtreecommitdiffstats
path: root/libraries/openmotif
diff options
context:
space:
mode:
author Vincent Batts2010-05-12 17:41:58 +0200
committer Erik Hanson2010-05-12 17:41:58 +0200
commit0a756064ce51bf7d91034546eb2340b63f2711e0 (patch)
treeda1fcac1f5d3e0466372db6ef21e6d73d04a333c /libraries/openmotif
parentddb5265cf1000930971c1981377d893b1b8dc768 (diff)
downloadslackbuilds-0a756064ce51bf7d91034546eb2340b63f2711e0.tar.gz
libraries/openmotif: Updated for version 2.3.0
Diffstat (limited to 'libraries/openmotif')
-rw-r--r--libraries/openmotif/openmotif.SlackBuild39
-rw-r--r--libraries/openmotif/openmotif.info2
-rw-r--r--libraries/openmotif/slack-desc13
3 files changed, 41 insertions, 13 deletions
diff --git a/libraries/openmotif/openmotif.SlackBuild b/libraries/openmotif/openmotif.SlackBuild
index 5629e3f76b..f30990e461 100644
--- a/libraries/openmotif/openmotif.SlackBuild
+++ b/libraries/openmotif/openmotif.SlackBuild
@@ -5,13 +5,12 @@
# Written by Vincent Batts, vbatts@batts.mine.nu
# Modified by SlackBuilds.org
-set -e
-
PRGNAM=openmotif
VERSION=2.3.0
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -19,16 +18,23 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -40,18 +46,27 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--enable-themes \
- --disable-static || exit 1
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+# Let's not conflict with some already installed stuff in other packages
+mv $PKG/usr/bin/tree $PKG/usr/bin/tree.openmotif
+mv $PKG/usr/bin/column $PKG/usr/bin/column.openmotif
+mv $PKG/usr/man/man3/Shell.3 $PKG/usr/man/man3/Shell.openmotif.3
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -60,7 +75,9 @@ make install DESTDIR=$PKG || exit 1
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COPYRIGHT.MOTIF INSTALL.configure BUGREPORT ChangeLog LICENSE README RELNOTES RELEASE $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYRIGHT* INSTALL* BUGREPORT ChangeLog LICENSE README RELNOTES RELEASE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/openmotif/openmotif.info b/libraries/openmotif/openmotif.info
index 217bd51c96..047e11601d 100644
--- a/libraries/openmotif/openmotif.info
+++ b/libraries/openmotif/openmotif.info
@@ -5,4 +5,4 @@ DOWNLOAD="ftp://ftp.ics.com/openmotif/2.3/2.3.0/openmotif-2.3.0.tar.gz"
MD5SUM="99d0ecb84d3504da421021a19ff70500"
MAINTAINER="Vincent Batts"
EMAIL="vbatts@batts.mine.nu"
-APPROVED="Erik Hanson"
+APPROVED="Erik Hanson,rworkman"
diff --git a/libraries/openmotif/slack-desc b/libraries/openmotif/slack-desc
index 938dda6864..162ce99b25 100644
--- a/libraries/openmotif/slack-desc
+++ b/libraries/openmotif/slack-desc
@@ -1,4 +1,12 @@
-openmotif: openMotif ( X libraries)
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+openmotif: openMotif (X libraries)
openmotif:
openmotif: Open Motif is the freely available source code
openmotif: distribution for the Motif user interface component
@@ -6,3 +14,6 @@ openmotif: toolkit. Open Motif is built on top of the standard
openmotif: X Toolkit(Xt) and X11 libraries.
openmotif:
openmotif:
+openmotif:
+openmotif:
+openmotif: